pax_20171021-2_amd64.deb


Advertisement

Description

pax - Portable Archive Interchange (cpio, pax, tar)

Property Value
Distribution Ubuntu 18.04 LTS (Bionic Beaver)
Repository Ubuntu Main amd64
Package name pax
Package version 20171021
Package release 2
Package architecture amd64
Package type deb
Installed size 175 B
Download size 80.30 KB
Official Mirror archive.ubuntu.com
paxtar is an implementation of an archiving utility that reads
and writes several formats - traditional ones, the extended
formats specified in IEEE 1003.1, and the ar(5) format used
by deb(5) packages (MirBSD specific paxtar extension). The
pax interface was designed by IEEE 1003.2 as a compromise in
the chronic controversy over which of tar or cpio is best, but
this implementation offers paxcpio and paxtar for easy calling.
This is the MirBSD paxtar implementation supporting the formats
ar, bcpio, cpio, SVR4 cpio with and without CRC, old tar, and
ustar, but not the format known as pax yet. It has extensions
for removing non-numerical user and group IDs from the archive,
storing hardlinked files only once, setting ownership to the
superuser, anonymising inode and device information, changing
the mtime to zero, and producing GNU tar compatible trailing
slashes on ustar directory nodes. Its "ar" format is suitable
for operating on *.deb files, unlike that of GNU binutils.
Note that ACLs and Extended Attributes are not supported.
Also, on Debian GNU/Hurd and Debian GNU/Linux (but not
Debian GNU/kFreeBSD), size of archive members is limited
to the width of the "long" type, that is, 2 GiB on platforms
that do not have a 64-bit "long" type, due to a bug in the
GNU C library (Debian #317466).

Alternatives

Package Version Architecture Repository
pax_20171021-2_i386.deb 20171021 i386 Ubuntu Main
pax - - -

Requires

Name Value
libc6 >= 2.14

Download

Type URL
Binary Package pax_20171021-2_amd64.deb
Source Package pax

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install pax deb package:
    # sudo apt-get install pax

Files

Path
/bin/pax
/bin/paxcpio
/bin/paxtar
/usr/share/doc/pax/changelog.Debian.gz
/usr/share/doc/pax/copyright
/usr/share/lintian/overrides/pax
/usr/share/man/man1/pax.1.gz
/usr/share/man/man1/paxcpio.1.gz
/usr/share/man/man1/paxtar.1.gz

Changelog

2018-01-05 - Thorsten Glaser <tg@mirbsd.de>
pax (1:20171021-2) unstable; urgency=low
* Policy 4.1.3 (no changes)
* Debhelper 11, prompted by lintian…
* Update VCS-* to new repository caused by Alioth deprecation
* Use ?= for dpkg-architecture output, thanks lintian
* Update lintian overrides
2017-10-21 - Thorsten Glaser <tg@mirbsd.de>
pax (1:20171021-1) unstable; urgency=medium
* New upstream release
- (Closes: #878512) (Closes: #878642) (Closes: #878645)
- fixes some error messages
- let lzip have .lz and .tlz extensions (thanks Antonio)
- exit nonzero if the compression subprocess fails
* Bump Policy (no changes)
2016-11-08 - Thorsten Glaser <tg@mirbsd.de>
pax (1:20161104-2) unstable; urgency=low
* Make cross-buildable (Closes: #842849)
2016-11-04 - Thorsten Glaser <tg@mirbsd.de>
pax (1:20161104-1) unstable; urgency=high
* Fix bug in 1:20161031-1 that prevented several use cases by
segfaulting; spotted by Han Boetes (thanks!)
2016-10-31 - Thorsten Glaser <tg@mirbsd.de>
pax (1:20161031-1) unstable; urgency=high
* New upstream version (CVE-2016-6321)
2016-10-25 - Thorsten Glaser <tg@mirbsd.de>
pax (1:20161025-1) unstable; urgency=low
* New upstream version
* Bump debhelper compat; Policy (no changes needed)
* Fix VCS URIs
* Work around /usr/share/dpkg/buildflags.mk not quoting properly
* Correct lintian overrides, we do have a Homepage now
2016-03-06 - Thorsten Glaser <tg@mirbsd.de>
pax (1:20160306-1) unstable; urgency=high
* New upstream version
- addresses CVE-2015-1193 and CVE-2015-1194 (Closes: #774716)
* Retake active maintainership with sponsors (Closes: #764402)
* Update tables.c from CVS incorporating lintian spelling fixes
* Bump S-V (no changes); add Homepage; SSL URIs for VCS (lintian)
2015-10-13 - Thorsten Glaser <tg@mirbsd.de>
pax (1:20151013-1) unstable; urgency=low
* QA upload.
* New upstream version
- document more known issues
- make list output line-buffered
* Use more current debhelper compat and techniques
* No longer try link-time optimisation as it’s constantly broken
* Unbreak x32 build
* Update lintian overrides
2014-10-07 - Thorsten Glaser <tg@mirbsd.de>
pax (1:20140703-2) unstable; urgency=low
* QA upload.
* Revert to a more standard Debian packaging style
* Bump to Policy 3.9.6 while here
* Orphan the package.
2014-07-03 - Thorsten Glaser <tg@mirbsd.de>
pax (1:20140703-1) unstable; urgency=medium
* Merge 1:20120606-2+deb7u1 upload
* debian/control: Move VCS-* fields to Alioth collab-maint git
* Remove now-useless RCS IDs
* Bump Policy to 3.9.5 (no changes needed)
* Revert intrusive, troubling packaging changes from experimental
* New upstream version, upload to unstable
* Address lintian’s concerns
* Plug some GCC fortify warnings

See Also

Package Description
pbuilder_0.229.1_all.deb personal package builder for Debian packages
pciutils_3.5.2-1ubuntu1_amd64.deb Linux PCI Utilities
pcmciautils_018-8build1_amd64.deb PCMCIA utilities for Linux 2.6
perl-base_5.26.1-6_amd64.deb minimal Perl system
perl-debug_5.26.1-6_amd64.deb debug-enabled Perl interpreter
perl-doc_5.26.1-6_all.deb Perl documentation
perl-modules-5.26_5.26.1-6_all.deb Core Perl modules
perl-openssl-defaults_3build1_amd64.deb version compatibility baseline for Perl OpenSSL packages
perl_5.26.1-6_amd64.deb Larry Wall's Practical Extraction and Report Language
php-all-dev_60ubuntu1_all.deb package depending on all supported PHP development packages
php-cgi_7.2+60ubuntu1_all.deb server-side, HTML-embedded scripting language (CGI binary) (default)
php-cli_7.2+60ubuntu1_all.deb command-line interpreter for the PHP scripting language (default)
php-common_60ubuntu1_all.deb Common files for PHP packages
php-curl_7.2+60ubuntu1_all.deb CURL module for PHP [default]
php-dev_7.2+60ubuntu1_all.deb Files for PHP module development (default)
Advertisement
Advertisement